_USB1Interrupt:
;VCP_Example.c,28 :: 		void USB1Interrupt() iv IVT_USB_1 ilevel 7 ics ICS_SRS{
RDPGPR	SP, SP
ADDIU	SP, SP, -12
MFC0	R30, 12, 2
SW	R30, 8(SP)
MFC0	R30, 14, 0
SW	R30, 4(SP)
MFC0	R30, 12, 0
SW	R30, 0(SP)
INS	R30, R0, 1, 15
ORI	R30, R0, 7168
MTC0	R30, 12, 0
ADDIU	SP, SP, -4
SW	RA, 0(SP)
;VCP_Example.c,30 :: 		USBDev_IntHandler();
JAL	_USBDev_IntHandler+0
NOP	
;VCP_Example.c,31 :: 		}
L_end_USB1Interrupt:
LW	RA, 0(SP)
ADDIU	SP, SP, 4
DI	
EHB	
LW	R30, 8(SP)
MTC0	R30, 12, 2
LW	R30, 4(SP)
MTC0	R30, 14, 0
LW	R30, 0(SP)
MTC0	R30, 12, 0
ADDIU	SP, SP, 12
WRPGPR	SP, SP
ERET	
; end of _USB1Interrupt
_UART1_Isr:
;VCP_Example.c,33 :: 		void UART1_Isr() iv IVT_UART_1 ilevel 6 ics ICS_SOFT {
ADDIU	SP, SP, -16
SW	R30, 12(SP)
MFC0	R30, 12, 2
SW	R30, 8(SP)
MFC0	R30, 14, 0
SW	R30, 4(SP)
MFC0	R30, 12, 0
SW	R30, 0(SP)
INS	R30, R0, 1, 15
ORI	R30, R0, 6144
MTC0	R30, 12, 0
ADDIU	SP, SP, -8
SW	RA, 0(SP)
;VCP_Example.c,36 :: 		j = 0;
; j start address is: 24 (R6)
MOVZ	R6, R0, R0
; j end address is: 24 (R6)
;VCP_Example.c,38 :: 		while (UART1_Data_Ready()) {
L_UART1_Isr0:
; j start address is: 24 (R6)
JAL	_UART1_Data_Ready+0
NOP	
BNE	R2, R0, L__UART1_Isr16
NOP	
J	L_UART1_Isr1
NOP	
L__UART1_Isr16:
;VCP_Example.c,39 :: 		*(buffer+j++) = UART1_Read();
SEH	R3, R6
LUI	R2, #hi_addr(_buffer+0)
ORI	R2, R2, #lo_addr(_buffer+0)
ADDU	R2, R2, R3
SW	R2, 4(SP)
JAL	_UART1_Read+0
NOP	
LW	R3, 4(SP)
SB	R2, 0(R3)
ADDIU	R2, R6, 1
SEH	R6, R2
;VCP_Example.c,40 :: 		}
J	L_UART1_Isr0
NOP	
L_UART1_Isr1:
;VCP_Example.c,42 :: 		USBDev_CDCSendData(buffer, j);
SEH	R26, R6
; j end address is: 24 (R6)
LUI	R25, #hi_addr(_buffer+0)
ORI	R25, R25, #lo_addr(_buffer+0)
JAL	_USBDev_CDCSendData+0
NOP	
;VCP_Example.c,44 :: 		U1RXIF_bit = 0;
LUI	R2, BitMask(U1RXIF_bit+0)
ORI	R2, R2, BitMask(U1RXIF_bit+0)
_SX	8, Offset(U1RXIF_bit+4), 4
;VCP_Example.c,45 :: 		}
L_end_UART1_Isr:
LW	RA, 0(SP)
ADDIU	SP, SP, 8
DI	
EHB	
LW	R30, 8(SP)
MTC0	R30, 12, 2
LW	R30, 4(SP)
MTC0	R30, 14, 0
LW	R30, 0(SP)
MTC0	R30, 12, 0
LW	R30, 12(SP)
ADDIU	SP, SP, 16
ERET	
; end of _UART1_Isr
_USBDev_CDCParamsChanged:
;VCP_Example.c,47 :: 		void USBDev_CDCParamsChanged(){
;VCP_Example.c,48 :: 		}
L_end_USBDev_CDCParamsChanged:
JR	RA
NOP	
; end of _USBDev_CDCParamsChanged
_USBDev_CDCDataReceived:
;VCP_Example.c,53 :: 		void USBDev_CDCDataReceived(uint16_t size){
ADDIU	SP, SP, -8
SW	RA, 0(SP)
;VCP_Example.c,58 :: 		USBDev_CDCSetReceiveBuffer(buffer);
SH	R25, 4(SP)
LUI	R25, #hi_addr(_buffer+0)
ORI	R25, R25, #lo_addr(_buffer+0)
JAL	_USBDev_CDCSetReceiveBuffer+0
NOP	
LHU	R25, 4(SP)
;VCP_Example.c,60 :: 		for (i=0; i<size; i++) UART1_Write(*(buffer+i));
; i start address is: 16 (R4)
MOVZ	R4, R0, R0
; i end address is: 16 (R4)
L_USBDev_CDCDataReceived2:
; i start address is: 16 (R4)
SEH	R3, R4
ANDI	R2, R25, 65535
SLTU	R2, R3, R2
BNE	R2, R0, L__USBDev_CDCDataReceived19
NOP	
J	L_USBDev_CDCDataReceived3
NOP	
L__USBDev_CDCDataReceived19:
SEH	R3, R4
LUI	R2, #hi_addr(_buffer+0)
ORI	R2, R2, #lo_addr(_buffer+0)
ADDU	R2, R2, R3
SH	R25, 4(SP)
LBU	R25, 0(R2)
JAL	_UART1_Write+0
NOP	
LHU	R25, 4(SP)
ADDIU	R2, R4, 1
SEH	R4, R2
; i end address is: 16 (R4)
J	L_USBDev_CDCDataReceived2
NOP	
L_USBDev_CDCDataReceived3:
;VCP_Example.c,62 :: 		}
L_end_USBDev_CDCDataReceived:
LW	RA, 0(SP)
ADDIU	SP, SP, 8
JR	RA
NOP	
; end of _USBDev_CDCDataReceived
_main:
;VCP_Example.c,64 :: 		void main() {
;VCP_Example.c,65 :: 		trisd.f11 = 0;
ORI	R2, R0, 2048
SW	R2, Offset(TRISD+4)(GP)
;VCP_Example.c,68 :: 		latd.f11 = 0;
SW	R2, Offset(LATD+4)(GP)
;VCP_Example.c,69 :: 		Delay_ms(1500);
LUI	R24, 610
ORI	R24, R24, 23039
L_main5:
ADDIU	R24, R24, -1
BNE	R24, R0, L_main5
NOP	
NOP	
;VCP_Example.c,70 :: 		latd.f11 = 1;
ORI	R2, R0, 2048
SW	R2, Offset(LATD+8)(GP)
;VCP_Example.c,72 :: 		UART1_Init(9600);               // Initialize UART module at 9600 bps
ORI	R25, R0, 9600
JAL	_UART1_Init+0
NOP	
;VCP_Example.c,73 :: 		Delay_ms(100);                  // Wait for UART module to stabilize
LUI	R24, 40
ORI	R24, R24, 45226
L_main7:
ADDIU	R24, R24, -1
BNE	R24, R0, L_main7
NOP	
;VCP_Example.c,75 :: 		AD1PCFG = 0xFFFF;                        // Configure AN pins as digital I/O
ORI	R2, R0, 65535
SW	R2, Offset(AD1PCFG+0)(GP)
;VCP_Example.c,78 :: 		USBDev_CDCInit();
JAL	_USBDev_CDCInit+0
NOP	
;VCP_Example.c,81 :: 		USBDev_Init();
JAL	_USBDev_Init+0
NOP	
;VCP_Example.c,84 :: 		USBIE_bit = 1;
LUI	R2, BitMask(USBIE_bit+0)
ORI	R2, R2, BitMask(USBIE_bit+0)
_SX	8, Offset(USBIE_bit+8), 4
;VCP_Example.c,85 :: 		IPC11bits.USBIP = 7;
ORI	R2, R0, 7168
SH	R2, Offset(IPC11bits+8)(GP)
;VCP_Example.c,86 :: 		U1IP0_bit = 0;
LUI	R2, BitMask(U1IP0_bit+0)
ORI	R2, R2, BitMask(U1IP0_bit+0)
_SX	8, Offset(U1IP0_bit+4), 4
;VCP_Example.c,87 :: 		U1IP1_bit = 1;
LUI	R2, BitMask(U1IP1_bit+0)
ORI	R2, R2, BitMask(U1IP1_bit+0)
_SX	8, Offset(U1IP1_bit+8), 4
;VCP_Example.c,88 :: 		U1IP2_bit = 1;
LUI	R2, BitMask(U1IP2_bit+0)
ORI	R2, R2, BitMask(U1IP2_bit+0)
_SX	8, Offset(U1IP2_bit+8), 4
;VCP_Example.c,89 :: 		U1RXIE_bit = 1;
LUI	R2, BitMask(U1RXIE_bit+0)
ORI	R2, R2, BitMask(U1RXIE_bit+0)
_SX	8, Offset(U1RXIE_bit+8), 4
;VCP_Example.c,90 :: 		EnableInterrupts();
EI	R30
;VCP_Example.c,93 :: 		while(USBDev_GetDeviceState() != _USB_DEV_STATE_CONFIGURED)
L_main9:
JAL	_USBDev_GetDeviceState+0
NOP	
ANDI	R3, R2, 255
ORI	R2, R0, 16
BNE	R3, R2, L__main22
NOP	
J	L_main10
NOP	
L__main22:
;VCP_Example.c,94 :: 		;
J	L_main9
NOP	
L_main10:
;VCP_Example.c,97 :: 		USBDev_CDCSetReceiveBuffer(buffer);
LUI	R25, #hi_addr(_buffer+0)
ORI	R25, R25, #lo_addr(_buffer+0)
JAL	_USBDev_CDCSetReceiveBuffer+0
NOP	
;VCP_Example.c,100 :: 		while(1){
L_main11:
;VCP_Example.c,102 :: 		}
J	L_main11
NOP	
;VCP_Example.c,104 :: 		}
L_end_main:
L__main_end_loop:
J	L__main_end_loop
NOP	
; end of _main
